{% extends 'base.html' %}

{% block content %}

<!-- Button trigger modal -->


<div class="content">


    <h3>Clubes de livros</h3>

    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createBookClubModal">
        Criar clube
    </button>

    {% for book_club in page_obj %}
    {% include 'bookclubs/partials/book_clubs_widget.html' with book_club=book_club %}
    {% endfor %}

    <div class="pagination">
    <span class="step-links">
        {% if page_obj.has_previous %}
            <a href="?page=1">&laquo; Início</a>
            <a href="?page={{ page_obj.previous_page_number }}">Anterior</a>
        {% endif %}

        <span class="current">
            Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
        </span>

        {% if page_obj.has_next %}
            <a href="?page={{ page_obj.next_page_number }}">Próxima</a>
            <a href="?page={{ page_obj.paginator.num_pages }}">Última &raquo;</a>
        {% endif %}
    </span>
    </div>

</div>


<!-- Modal -->
<div class="modal fade" id="createBookClubModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Criar club de livro</h5>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    <i class="tim-icons icon-simple-remove"></i>
                </button>
            </div>
            <form action="{% url 'book-clubs'  %}" method="POST">

                <div class="modal-body">
                    {% csrf_token %}
                    {{ book_form.as_p }}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>

                </div>
            </form>

        </div>
    </div>
</div>


{% endblock %}